Plesk\backup\Agent\Schema\Backup\ServerPreferences\ServerPreferencesAType:
    properties:
        forbidCreateDnsSubzone:
            expose: true
            access_type: public_method
            serialized_name: forbid-create-dns-subzone
            xml_element:
                cdata: false
            accessor:
                getter: getForbidCreateDnsSubzone
                setter: setForbidCreateDnsSubzone
            type: string
        forceDbUserPrefix:
            expose: true
            access_type: public_method
            serialized_name: force-db-user-prefix
            xml_element:
                cdata: false
            accessor:
                getter: getForceDbUserPrefix
                setter: setForceDbUserPrefix
            type: string
        allowSiteappLocalDb:
            expose: true
            access_type: public_method
            serialized_name: allow-siteapp-local-db
            xml_element:
                cdata: false
            accessor:
                getter: getAllowSiteappLocalDb
                setter: setAllowSiteappLocalDb
            type: string
        dbUserLength:
            expose: true
            access_type: public_method
            serialized_name: db-user-length
            xml_element:
                cdata: false
            accessor:
                getter: getDbUserLength
                setter: setDbUserLength
            type: string
        hideTopAdvertisement:
            expose: true
            access_type: public_method
            serialized_name: hide-top-advertisement
            xml_element:
                cdata: false
            accessor:
                getter: getHideTopAdvertisement
                setter: setHideTopAdvertisement
            type: Plesk\backup\Agent\Schema\Backup\HideTopAdvertisement
        trafficDirection:
            expose: true
            access_type: public_method
            serialized_name: traffic-direction
            xml_element:
                cdata: false
            accessor:
                getter: getTrafficDirection
                setter: setTrafficDirection
            type: Plesk\backup\Agent\Schema\Backup\TrafficDirection
        restartApache:
            expose: true
            access_type: public_method
            serialized_name: restart-apache
            xml_element:
                cdata: false
            accessor:
                getter: getRestartApache
                setter: setRestartApache
            type: string
        statKeep:
            expose: true
            access_type: public_method
            serialized_name: stat-keep
            xml_element:
                cdata: false
            accessor:
                getter: getStatKeep
                setter: setStatKeep
            type: string
        diskSpaceCountType:
            expose: true
            access_type: public_method
            serialized_name: disk-space-count-type
            xml_element:
                cdata: false
            accessor:
                getter: getDiskSpaceCountType
                setter: setDiskSpaceCountType
            type: Plesk\backup\Agent\Schema\Backup\DiskSpaceCountType
        diskUsage:
            expose: true
            access_type: public_method
            serialized_name: disk-usage
            xml_element:
                cdata: false
            accessor:
                getter: getDiskUsage
                setter: setDiskUsage
            type: Plesk\backup\Agent\Schema\Backup\DiskUsage
        forceDbPrefix:
            expose: true
            access_type: public_method
            serialized_name: force-db-prefix
            xml_element:
                cdata: false
            accessor:
                getter: getForceDbPrefix
                setter: setForceDbPrefix
            type: string
        sharedSslBase:
            expose: true
            access_type: public_method
            serialized_name: shared-ssl-base
            xml_element:
                cdata: false
            accessor:
                getter: getSharedSslBase
                setter: setSharedSslBase
            type: Plesk\backup\Agent\Schema\Backup\SharedSslBase
        multipleSession:
            expose: true
            access_type: public_method
            serialized_name: multiple-session
            xml_element:
                cdata: false
            accessor:
                getter: getMultipleSession
                setter: setMultipleSession
            type: string
        lockScreen:
            expose: true
            access_type: public_method
            serialized_name: lock-screen
            xml_element:
                cdata: false
            accessor:
                getter: getLockScreen
                setter: setLockScreen
            type: string
        apsCatalogUrl:
            expose: true
            access_type: public_method
            serialized_name: aps-catalog-url
            xml_element:
                cdata: false
            accessor:
                getter: getApsCatalogUrl
                setter: setApsCatalogUrl
            type: string
        mode:
            expose: true
            access_type: public_method
            serialized_name: mode
            xml_element:
                cdata: false
            accessor:
                getter: getMode
                setter: setMode
            type: string
        adminAccessRestrictions:
            expose: true
            access_type: public_method
            serialized_name: admin-access-restrictions
            xml_element:
                cdata: false
            accessor:
                getter: getAdminAccessRestrictions
                setter: setAdminAccessRestrictions
            type: array<Plesk\backup\Agent\Schema\Backup\ServerPreferences\ServerPreferencesAType\AdminAccessRestrictionsAType\RestrictionItemAType>
            xml_list:
                inline: false
                entry_name: restriction-item
                skip_when_empty: true
        disableMailUi:
            expose: true
            access_type: public_method
            serialized_name: disable-mail-ui
            xml_element:
                cdata: false
            accessor:
                getter: getDisableMailUi
                setter: setDisableMailUi
            type: string
        crontabSecureShell:
            expose: true
            access_type: public_method
            serialized_name: crontab-secure-shell
            xml_element:
                cdata: false
            accessor:
                getter: getCrontabSecureShell
                setter: setCrontabSecureShell
            type: string
        crontabSecureShellCompatibilityMode:
            expose: true
            access_type: public_method
            serialized_name: crontab-secure-shell-compatibility-mode
            xml_element:
                cdata: false
            accessor:
                getter: getCrontabSecureShellCompatibilityMode
                setter: setCrontabSecureShellCompatibilityMode
            type: string
        technicalDomain:
            expose: true
            access_type: public_method
            serialized_name: technical-domain
            xml_element:
                cdata: false
            accessor:
                getter: getTechnicalDomain
                setter: setTechnicalDomain
            type: string
        showCommercialApps:
            expose: true
            access_type: public_method
            serialized_name: show-commercial-apps
            xml_element:
                cdata: false
            accessor:
                getter: getShowCommercialApps
                setter: setShowCommercialApps
            type: string
        updateSettings:
            expose: true
            access_type: public_method
            serialized_name: update-settings
            xml_element:
                cdata: false
            accessor:
                getter: getUpdateSettings
                setter: setUpdateSettings
            type: Plesk\backup\Agent\Schema\Backup\ServerPreferences\ServerPreferencesAType\UpdateSettingsAType
        disableSni:
            expose: true
            access_type: public_method
            serialized_name: disable-sni
            xml_element:
                cdata: false
            accessor:
                getter: getDisableSni
                setter: setDisableSni
            type: string
        ftpOverSsl:
            expose: true
            access_type: public_method
            serialized_name: ftp-over-ssl
            xml_element:
                cdata: false
            accessor:
                getter: getFtpOverSsl
                setter: setFtpOverSsl
            type: string
